petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscLimiterRegister

Adds a new PetscLimiter implementation

### Synopsis

    #include "petscfv.h"
    PetscErrorCode PetscLimiterRegister(const char sname[], PetscErrorCode (*function)(PetscLimiter))

Not Collective

### Input Parameters

| name | - The name of a new user-defined creation routine
| create_func | - The creation routine itself

### Notes

PetscLimiterRegister() may be called multiple times to add several user-defined PetscLimiters

### Sample usage

        PetscLimiterRegister("my_lim", MyPetscLimiterCreate);

Then, your PetscLimiter type can be chosen with the procedural interface via

        PetscLimiterCreate(MPI_Comm, PetscLimiter *);
        PetscLimiterSetType(PetscLimiter, "my_lim");

or at runtime via the option

        -petsclimiter_type my_lim

### Keywords

PetscLimiter, register

### See Also

PetscLimiterRegisterAll(), PetscLimiterRegisterDestroy()

Level:advanced
Location:src/dm/dt/interface/dtfv.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages